
mixin navbar

    html(lang="en")
        head
            meta(charset="UTF-8")
            meta(name="viewport" content="width=device-width, initial-scale=1.0")

            //link(rel='stylesheet' href="assets/css/bootstrap.min.css")
            link(rel='stylesheet' href='https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css' integrity='sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh' crossorigin='anonymous')


            script(src='https://code.jquery.com/jquery-3.4.1.slim.min.js' integrity='sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n' crossorigin='anonymous')
            script(src='https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js' integrity='sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo' crossorigin='anonymous')
            script(src="assets/js/bootstrap.min.js")

            title Document
        body  

            nav.navbar.navbar-expand-lg.navbar-light.bg-light
                a.navbar-brand(href='#') Navbar
                button.navbar-toggler(type='button' data-toggle='collapse' data-target='#navbarSupportedContent' aria-controls='navbarSupportedContent' aria-expanded='false' aria-label='Toggle navigation')
                    span.navbar-toggler-icon
                #navbarSupportedContent.collapse.navbar-collapse
                    ul.navbar-nav.mr-auto
                        li.nav-item.active
                            a.nav-link(href='/usuario')
                                | Tarea lab  8
                            span.sr-only (current)


                    form.form-inline.my-2.my-lg-0
                        input.form-control.mr-sm-2(type='search' placeholder='Search' aria-label='Search')
                        button.btn.btn-outline-success.my-2.my-sm-0(type='submit') Search

mixin jumbotron(title, paragraph, textButton)
    .jumbotron
    h1.display-4 Hello, world!
    p.lead
        | #{paragraph}
    hr.my-4

    a.btn.btn-primary.btn-lg(href='#' role='button') #{textButton}


-images=[{route:'assets/img/uno.jpg?auto=yes&bg=555&fg=333&text=First slide',active:true},{route:'assets/img/dos.jpg?auto=yes&bg=555&fg=333&text=Second slide',active:false},{route:'assets/img/tres.jpg?auto=yes&bg=555&fg=333&text=Third slide',active:false},]

mixin carousel
    #carouselExampleSlidesOnly.carousel.slide(data-ride='carousel')
        .carousel-inner

            //- for image in images
            //-     if(image.active)
            //-         .carousel-item.active
            //-             img.d-block.w-100(src=image.route alt='Fist slide')
            //-     else
            //-         .carousel-item 
            //-             img.d-block.w-100(src=image.route)

            //- .carousel-item.active

            .carousel-item.active
                img.d-block.w-100(src='assets/img/uno.jpg' alt='First slide')
            .carousel-item
                img.d-block.w-100(src='assets/img/dos.jpg' alt='Second slide')
            .carousel-item
                img.d-block.w-100(src='assets/img/tres.jpg' alt='Third slide')


mixin form
    .container
        form
        .form-group
            label(for='exampleInputEmail1') Email address
            input#exampleInputEmail1.form-control(type='email' aria-describedby='emailHelp' placeholder='Enter email')
            small#emailHelp.form-text.text-muted We&apos;ll never share your email with anyone else.
        .form-group
            label(for='exampleInputPassword1') Password
            input#exampleInputPassword1.form-control(type='password' placeholder='Password')
        .form-check
            input#exampleCheck1.form-check-input(type='checkbox')
            label.form-check-label(for='exampleCheck1') Check me out
        button.btn.btn-primary(type='submit') Submit


mixin footer
    // Footer
    footer.page-footer.font-small.blue 
        // Copyright
        .footer-copyright.text-center.py-3
            | &copy; 2020 Copyright: 
            a(href='https://mdbootstrap.com/') MDBootstrap.com
        // Copyright
    //Footer